Token payroll

Validate Minimum Fiat Pay

Checks each contributor's annualized net fiat pay against the minimum wage threshold.

GEThttps://api.toku.com/stablecoin-payroll/validate-minimum-fiat-pay

Required scope: payroll:read. It also needs compensation:read.

curl --request GET \
  --url 'https://api.toku.com/stablecoin-payroll/validate-minimum-fiat-pay?tokenPayrollID=%3CtokenPayrollID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "validations": [
    {
      "roleInOrgID": "string",
      "employeeName": "string",
      "netPayFiat": 0,
      "annualizedNetPayFiat": 0,
      "meetsMinimumWage": true,
      "differenceAmount": 0
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

tokenPayrollIDstringrequired

Response

200Successful response
validationsobject[]required
Show child attributes
roleInOrgIDstringrequired
employeeNamestringrequired
netPayFiatnumber | nullrequired
annualizedNetPayFiatnumber | nullrequired
meetsMinimumWagebooleanrequired
differenceAmountnumber | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits